org.eclipse.eef.core.internal.controllers

## Class EEFCheckboxController

- java.lang.Object
- - org.eclipse.eef.core.api.controllers.AbstractEEFController
  - - org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController
    - - org.eclipse.eef.core.internal.controllers.EEFCheckboxController

All Implemented Interfaces:
  IEEFCheckboxController, IEEFController, IEEFWidgetController

    public class EEFCheckboxController
    extends AbstractEEFWidgetController
    implements IEEFCheckboxController

This class will be used in order to manage the behavior of the checkbox.

### Field Summary

### Fields inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController

`newHelpConsumer, newLabelConsumer`

### Fields inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`interpreter, variableManager`

### Constructor Summary

Constructors
Constructor and Description
`EEFCheckboxController(EEFCheckboxDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected EEFWidgetDescription` `getDescription()` Returns the widget description.
`void` `onNewValue(IConsumer<java.lang.Boolean> consumer)` Register a consumer which will be called with the new value of the checkbox when it will change.
`void` `refresh()` Refresh the controller.
`void` `removeNewValueConsumer()` Remove the consumer of the new value of the checkbox.
`org.eclipse.core.runtime.IStatus` `updateValue(boolean checkbox)` Update the value of the checkbox.

### Methods inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFWidgetController

`computeHelp, getValidationRulesContainer, getValidationRulesReference, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`newEval, onValidation, removeValidationConsumer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFWidgetController

`computeHelp, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, removeValidationConsumer`

### Constructor Detail

#### EEFCheckboxController

    public EEFCheckboxController(EEFCheckboxDescription description,
                                 org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                 org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                 EditingContextAdapter contextAdapter)

The constructor.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter

### Method Detail

#### updateValue

    public org.eclipse.core.runtime.IStatus updateValue(boolean checkbox)

Description copied from interface: `IEEFCheckboxController`
Update the value of the checkbox.

Specified by:
  `updateValue` in interface `IEEFCheckboxController`
Parameters:
  `checkbox` - The new value of the checkbox
Returns:
  the status of the update execution.

#### refresh

    public void refresh()

Refresh the controller.

Specified by:
  `refresh` in interface `IEEFController`
Overrides:
  `refresh` in class `AbstractEEFWidgetController`
See Also:
  `AbstractEEFWidgetController.refresh()`

#### onNewValue

    public void onNewValue(IConsumer<java.lang.Boolean> consumer)

Register a consumer which will be called with the new value of the checkbox when it will change.

Specified by:
  `onNewValue` in interface `IEEFCheckboxController`
Parameters:
  `consumer` - The consumer of the new value of the checkbox
See Also:
  `IEEFTextController.onNewValue(org.eclipse.eef.core.api.controllers.IConsumer)`

#### removeNewValueConsumer

    public void removeNewValueConsumer()

Remove the consumer of the new value of the checkbox.

Specified by:
  `removeNewValueConsumer` in interface `IEEFCheckboxController`
See Also:
  `IEEFTextController.removeNewValueConsumer()`

#### getDescription

    protected EEFWidgetDescription getDescription()

Returns the widget description.

Specified by:
  `getDescription` in class `AbstractEEFWidgetController`
Returns:
  The widget description
See Also:
  `AbstractEEFWidgetController.getDescription()`